Mail archive
alpine-devel

[alpine-devel] [PATCH] Initial APKBUILD for perl-net-netmask

From: Fabian Affolter <fabian_at_affolter-engineering.ch>
Date: Sun, 3 Jul 2011 13:11:39 +0000

Package description:
Perl module for manipulation and lookup of IP network blocks
---
 testing/perl-net-netmask/APKBUILD |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-net-netmask/APKBUILD
diff --git a/testing/perl-net-netmask/APKBUILD b/testing/perl-net-netmask/APKBUILD
new file mode 100644
index 0000000..ca94794
--- /dev/null
+++ b/testing/perl-net-netmask/APKBUILD
_at_@ -0,0 +1,32 @@
+# Contributor: Fabian Affolter <fabian_at_affolter-engineering.ch>
+# Maintainer:
+pkgname=perl-net-netmask
+_realname=Net-Netmask
+pkgver=1.9016
+pkgrel=0
+pkgdesc="Perl extension to parse, manipulate, and lookup IP network blocks"
+url="http://search.cpan.org/~muir/Net-Netmask-1.9016/"
+arch="noarch"
+license="PerlArtistic"
+depends="perl"
+depends_dev=""
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MU/MUIR/modules/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_realname-$pkgver
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="174606b568f8545b8968aecf50ba7a37  Net-Netmask-1.9016.tar.gz"
-- 
1.7.4.5
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sun Jul 03 2011 - 13:11:39 UTC